List Destination Providers
ListDestinationProviders serves the in-code provider catalog (the off-the- shelf destination presets) and the event bundles the create flow offers. It is a pure registry projection — no store access — read-gated like the other list RPCs.
GET
/
v1
/
webhooks
/
providers
cURL
curl --request GET \
--url https://api.domesystems.ai/v1/webhooks/providers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.domesystems.ai/v1/webhooks/providers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.domesystems.ai/v1/webhooks/providers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"providers": [
{
"key": "<string>",
"display_name": "<string>",
"description": "<string>",
"logo_slug": "<string>",
"docs_url": "<string>",
"instructions_md": "<string>",
"credential_fields": [
{
"key": "<string>",
"label": "<string>",
"placeholder": "<string>",
"type": "<string>",
"required": true,
"options": [
"<string>"
],
"help": "<string>",
"default_value": "<string>",
"pattern": "<string>"
}
],
"settings_fields": [
{
"key": "<string>",
"label": "<string>",
"placeholder": "<string>",
"type": "<string>",
"required": true,
"options": [
"<string>"
],
"help": "<string>",
"default_value": "<string>",
"pattern": "<string>"
}
],
"recommended_bundle": "<string>",
"secret_in_body": true,
"endpoint_is_secret": true,
"example_body": "<string>",
"secret_url_field": "<string>"
}
],
"bundles": [
{
"key": "<string>",
"label": "<string>",
"description": "<string>",
"event_types": [
"<string>"
]
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Was this page helpful?
⌘I
cURL
